org.springframework.data.mapping.model

## Interface EntityInstantiator

All Known Subinterfaces:
  EntityInstantiator

All Known Implementing Classes:
  ClassGeneratingEntityInstantiator, KotlinClassGeneratingEntityInstantiator, ReflectionEntityInstantiator

    public interface EntityInstantiator

SPI to abstract strategies to create instances for `PersistentEntity`s.

Since:
  2.3
Author:
  Oliver Drotbohm

### Method Summary

All Methods Instance Methods Abstract Methods
`<T,E extends PersistentEntity<? extends T,P>,P extends PersistentProperty<P>> T` `createInstance(E entity, ParameterValueProvider<P> provider)` Creates a new instance of the given entity using the given source to pull data from.

### Method Detail

#### createInstance

    <T,E extends PersistentEntity<? extends T,P>,P extends PersistentProperty<P>> T createInstance(E entity,
                                                                                                   ParameterValueProvider<P> provider)

Creates a new instance of the given entity using the given source to pull data from.

Parameters:
  `entity` - will not be null.
  `provider` - will not be null.
Returns: